Subject: Re: bug#26136: core-updates: [email-masked] fails due to missing zlib

From: Leo Famulari <[email-masked]>
Date: Sat, 18 Mar 2017 13:26:01 -0400

On Fri, Mar 17, 2017 at 03:08:51PM +0100, Danny Milosavljevic wrote:
> Hmmm... Python 2.7.13 seems to bundle libffi-3.1. Do we want that?

The python-minimal package *should* use that libffi. I'm not sure why
it's failing now.

> Also, I checked libffi/configure: If CONFIG_SHELL was set, it would have picked it up.

Do you mean if CONFIG_SHELL is not set, so the build process can't find
libffi?

There is also the question about zlib and the bundled pip: why is it
failing now?

I haven't yet found the changes between 2.7.12 and 2.7.13 that are
causing these issues.